Bug 1597972 - OSP12: With OvS2.9, hugetlbfs group should be used instead workarounds for DPDK
Summary: OSP12: With OvS2.9, hugetlbfs group should be used instead workarounds for DPDK
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Saravanan KR
QA Contact: Yariv
URL:
Whiteboard:
Depends On:
Blocks: 1599274
TreeView+ depends on / blocked
 
Reported: 2018-07-04 05:01 UTC by Saravanan KR
Modified: 2018-09-10 12:05 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.12-3.el7ost
Doc Type: Enhancement
Doc Text:
This update adds the environment file /usr/share/openstack-tripleo-heat-templates/environments/ovs-dpdk-permissions.yaml for OVS-DPDK deployments (for new installations and minor updates). Note: This environment file updates the parameter only for ComputeOvsDpdk role. If any other custom role is used with OvS-DPDK then the environment file should be extended to those custom roles as well.
Clone Of:
: 1599274 (view as bug list)
Environment:
Last Closed: 2018-08-20 13:02:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:04:03 UTC
OpenStack gerrit 580031 None stable/pike: MERGED tripleo-heat-templates: Removed ovs-dpdk workaround to fix the vhost socket permission (I5d8e31020700f13e21f4cfa2f1bfa14... 2018-07-09 11:43:28 UTC
OpenStack gerrit 580262 None stable/pike: MERGED tripleo-heat-templates: Ensure node is rebooted before enabling DPDK (I5db52d5dd833833c989532931baea8fac03f9cb7) 2018-07-09 11:41:13 UTC
Launchpad 1780014 None None None 2018-07-04 05:01:41 UTC

Description Saravanan KR 2018-07-04 05:01:41 UTC
Remove the workarounds in the PreNetworkConfig templates to alter the ovs-service files to deploy OVS-DPDK.

Comment 1 Saravanan KR 2018-07-05 03:32:18 UTC
1) User (openvswitch) and group (hugetlbfs) should be backported to Kolla container - https://review.openstack.org/#/c/526332/

2) Reboot ensure deployment for PreNetworkConfig - https://review.openstack.org/#/c/580262/

3) Removing ovs service file workarounds - https://review.openstack.org/#/c/580031/

Comment 13 Yariv 2018-07-29 14:33:15 UTC
Verified with 12z3 puddle 2018-07-20.1
see the following patch  https://code.engineering.redhat.com/gerrit/145440

Comment 19 errata-xmlrpc 2018-08-20 13:02:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.